Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.nntp
Class Article

    java.lang.Object
      org.apache.commons.net.nntp.Article

All Implemented Interfaces:
  Threadable

    public class Article

extends Object
implements Threadable

This is a class that contains the basic state needed for message retrieval and threading. With thanks to Jamie Zawinski

Author:
  rwinston

Field Summary
`Article` | `kid`
`Article` | `next`

Constructor Summary
`Article()`

Method Summary
`void` | `addHeaderField(String name, String val)` Deprecated.
`void` | `addReference(String msgId)` Adds a message-id to the list of messages that this message references (i.e.
`String` | `getArticleId()`
`int` | `getArticleNumber()` Deprecated.
`long` | `getArticleNumberLong()`
`String` | `getDate()`
`String` | `getFrom()`
`String[]` | `getReferences()` Returns the MessageId references as an array of Strings
`String` | `getSubject()`
`boolean` | `isDummy()`
`Threadable` | `makeDummy()`
`String` | `messageThreadId()`
`String[]` | `messageThreadReferences()`
`static void` | `printThread(Article article, int depth)` Recursive method that traverses a pre-threaded graph (or tree) of connected Article objects and prints them out.
`void` | `setArticleId(String string)`
`void` | `setArticleNumber(int a)` Deprecated.
`void` | `setArticleNumber(long l)`
`void` | `setChild(Threadable child)`
`void` | `setDate(String string)`
`void` | `setFrom(String string)`
`void` | `setNext(Threadable next)`
`void` | `setSubject(String string)`
`String` | `simplifiedSubject()`
`boolean` | `subjectIsReply()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kid

    public Article kid

### next

    public Article next

Constructor Detail

### Article

    public Article()

Method Detail

### addReference

    public void addReference(String msgId)

  Adds a message-id to the list of messages that this message references (i.e. replies to)

  Parameters:
    `msgId` -

### getReferences

    public String[] getReferences()

  Returns the MessageId references as an array of Strings

  Returns:
    an array of message-ids

### printThread

    public static void printThread(Article article,
                                   int depth)

  Recursive method that traverses a pre-threaded graph (or tree) of connected Article objects and prints them out.

  Parameters:
    `article` - the root of the article 'tree'
    `depth` - the current tree depth

### getArticleId

    public String getArticleId()

### getArticleNumberLong

    public long getArticleNumberLong()

### getDate

    public String getDate()

### getFrom

    public String getFrom()

### getSubject

    public String getSubject()

### setArticleId

    public void setArticleId(String string)

### setArticleNumber

    public void setArticleNumber(long l)

### setDate

    public void setDate(String string)

### setFrom

    public void setFrom(String string)

### setSubject

    public void setSubject(String string)

### isDummy

    public boolean isDummy()

  Specified by:
    `isDummy` in interface `Threadable`

### messageThreadId

    public String messageThreadId()

  Specified by:
    `messageThreadId` in interface `Threadable`

### messageThreadReferences

    public String[] messageThreadReferences()

  Specified by:
    `messageThreadReferences` in interface `Threadable`

### simplifiedSubject

    public String simplifiedSubject()

  Specified by:
    `simplifiedSubject` in interface `Threadable`

### subjectIsReply

    public boolean subjectIsReply()

  Specified by:
    `subjectIsReply` in interface `Threadable`

### setChild

    public void setChild(Threadable child)

  Specified by:
    `setChild` in interface `Threadable`

### setNext

    public void setNext(Threadable next)

  Specified by:
    `setNext` in interface `Threadable`

### makeDummy

    public Threadable makeDummy()

  Specified by:
    `makeDummy` in interface `Threadable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getArticleNumber

    @Deprecated
    public int getArticleNumber()

  Deprecated.

### setArticleNumber

    @Deprecated
    public void setArticleNumber(int a)

  Deprecated.

### addHeaderField

    @Deprecated
    public void addHeaderField(String name,
                                          String val)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.